
drop table if exists [Devices];
CREATE TABLE [Devices] (
  [device_id] INTEGER PRIMARY KEY AUTOINCREMENT,
  [deviceId] VARCHAR(50),
  [passWork] VARCHAR(50),  
  [name] VARCHAR(100),
  [city] VARCHAR(100),
  [mark] INT
);

drop table if exists [Channels];
CREATE TABLE [Channels] (
  [index_id] INTEGER PRIMARY KEY AUTOINCREMENT,
  [deviceId] VARCHAR(50),
  [channelId] VARCHAR(50),
  [control] INT,
  [visibility] INT,  
  [totalRoadId] VARCHAR(50)
);

drop table if exists [ControlChannels];
CREATE TABLE [ControlChannels] (
  [index_id] INTEGER PRIMARY KEY AUTOINCREMENT,
  [deviceId] VARCHAR(50),
  [channelId] VARCHAR(50)
);

drop table if exists [Leaks];
CREATE TABLE [Leaks] (
  [index_id] INTEGER PRIMARY KEY AUTOINCREMENT,
  [deviceId] VARCHAR(50),
  [state] INT,
  [day] VARCHAR(50),
  [hour] VARCHAR(50),
  [minutes] VARCHAR(50),
  [autoDate] VARCHAR(50),
  [manualState] INT,
  [manualDate] VARCHAR(50)
);

drop table if exists [ControlSwitchs];
CREATE TABLE [ControlSwitchs] (
  [index_id] INTEGER PRIMARY KEY AUTOINCREMENT,
  [deviceId] VARCHAR(50),
  [channelId] VARCHAR(50),
  [name] VARCHAR(50),
  [oc] INT,
  [enablectrl] INT
);

drop table if exists [Wiring];
CREATE TABLE [Wiring] (
  [index_id] INTEGER PRIMARY KEY AUTOINCREMENT,
  [deviceId] VARCHAR(50),
  [channelId] VARCHAR(50),
  [totalChannelId] VARCHAR(50)
);
